Browser & System Requirements

Openera isn't software you need to install. Instead, it runs on the browser you normally use to access web pages on the internet. Use this page to find out what browser and system settings you need to be able to log in to Openera, and what else you should do to get the best out of Openera.

Use our troubleshooting guide if you already use Openera and are having browser or connection issues.

To be able to use Openera, do these things before you start:

  • Check you're using one of these supported browsers:
    • Internet Explorer (IE) 9+
    • Mozilla Firefox
    • Safari
    • Google Chrome
  • And on your mobile device:
    • iOS or Android - your default browser
    • All other devices - Opera Mini.
  • Activate JavaScript before you log in
  • Let your browser accept cookies

To get the best from Openera, you should also:

  • Clear cache and cookies

Openera will prompt you to download or set up some of these things (if you haven't already) when you first use it. You'll still be able to log in and use Openera without some of these things, but you won't be able to take advantage of all the graphic and interactive features. Once you have these programs or settings organised for your computer, you will not need to do any of this again to use Openera.

Before you start to use Openera

For best results we recommend you use the latest version (but not a beta version) of your browser. We support:

  • Internet Explorer (IE) 9+ (PC)
  • Mozilla Firefox (PC and Mac)
  • Safari (Mac)
  • Google Chrome (PC and Mac)

Download the latest version of:

 

Mobile

You can access Openera on your mobile device as you would on a desktop or laptop. Some zooming may be required.

Generally Openera will work on most devices and you'll get best results with the latest version of any of these browsers: Mozilla Firefox, Safari, Google Chrome, Internet Explorer or Opera Mini.

 

Older browsers

If you have an older browser that Openera won't run in, you may be prevented from logging in.

 

New browsers

We don't support any beta versions of the supported browsers or other alternative open source builds of them. We're not saying Openera won't work with these browsers, but we don't have a formal quality assurance process for them at this stage.'

 

Operating systems

We may be unable to help you if you're experiencing problems using Openera on an operating system that is pre-release, beta, experimental or one that is considered end-of-life by its manufacturer.

 

 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.